Subject: bug#46750: calc defmath let* behaviour surprising, inconsistent, or wrong

From: Stephan Neuhaus <[email-masked]>
Date: Fri, 5 Mar 2021 11:49:44 +0100

Hi Mattias

I can confirm that the calc that's in the current master branch 
(development version for 28.1) fixes my problem. You hinted that there 
were further problems too, but I have only checked that let* now seems 
to work as intended. Also, to be fair, I have checked that only for my 
own use case.

That was speedy work, thank you very much! Now I'll have to decide 
whether to build emacs for Debian myself or whether to wait for Debian 
to adopt emacs >= 28.1.

Cheers

Stephan

On 3/5/21 10:32 AM, Mattias Engdegård wrote:
> 5 mars 2021 kl. 08.57 skrev Stephan Neuhaus <[email-masked]>:
> 
>> My Emacs installation is a mix of standard Debian Emacs and MELPA packages. I have no idea how to install a specific commit of calc, and I don't even know where to find the repo. Could you help me out?
>>
>>   * Where do I find the repo? (Once I have that, I know how to check out a specific commit.)
>>   * What do I have to put into my .emacs to use the calc that's in the directory?
> 
> Ah, you are using Emacs 26.1. The fix has been made in the development version of Emacs, that is to become version 28.1. Instead of trying to combine pieces from different versions it is probably better to build the latest version:
> 
>   git clone -b master git://git.sv.gnu.org/emacs.git
>   cd emacs
> 
> and here you would ideally take a pause reading the build and installation instructions in the source tree, but most likely you would continue with:
> 
>   ./autogen.sh
>   ./configure
>   make
> 
> assuming you have everything needed. You can then run the built emacs without installing (it's in the src/ directory) if you just want to test it.
> 
> Maybe Debian has special provisions for doing this in a cleaner way but I'm no Debian specialist.
>